package cn.com.countrygarden.bi.main.event;

import cn.com.countrygarden.bi.main.service.performance.DownloadService;
import org.springframework.context.ApplicationEvent;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;


public class ExcelDownloadEvent extends ApplicationEvent {

    private String typeNo;


    public ExcelDownloadEvent(DownloadService source) {
        super(source);
    }

    public ExcelDownloadEvent(Object source) {
        super(source);
    }

    public ExcelDownloadEvent(DownloadService source, String typeNo) {
        super(source);
        this.typeNo = typeNo;
    }

    public String getTypeNo() {
        return typeNo;
    }
}
